# zbot/plugs/find.py
#
#

""" output a set of objects. """

## IMPORTS

from zbot.utils import time_string, time_stamp, do_objects, format_obj
from zbot import kernel

import logging

## do_find command

daylist = ["Date", "ctime", "path"]

def do_find(event):
    opts = event.opts
    args = event.args
    knobs = event.knobs
    args.extend(opts.keys())
    done = []
    for obj in do_objects(event):
        txt = format_obj(obj, args)
        if not txt: continue
        if "u" in knobs:
            if txt not in done: done.append(txt)
        else: done.append(txt)
    for txt in done: event.reply(txt)

kernel.cmnds.register("find", do_find)
